Bug 321551 - can't swtich user after a few cycles
can't swtich user after a few cycles
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fast-user-switch-applet (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-06 15:28 EDT by David Juran
Modified: 2008-05-17 03:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: fast-user-switch-applet-2.20.0-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 03:55:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2007-10-06 15:28:15 EDT
Description of problem:
After doing a few switch-cycles f-u-s-a stopped working. 

Tracing the process revealed the following:

socket(PF_FILE, SOCK_STREAM, 0)         = 12
stat("/var/run/gdm_socket", 0x7fffeb3bf7d0) = -1 ENOENT (No such file or directory)
stat("/tmp/.gdm_socket", {st_mode=S_IFSOCK|0666, st_size=0, ...}) = 0
fcntl(12, F_SETFL, O_RDONLY|O_NONBLOCK) = 0
connect(12, {sa_family=AF_FILE, path="/tmp/.gdm_socket"}, 110) = 0
sendto(12, "VERSION\n", 8, MSG_NOSIGNAL, NULL, 0) = 8
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=11, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=10,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN}], 10, 0) = 0
read(12, "G", 1)                        = 1
read(12, "D", 1)                        = 1
read(12, "M", 1)                        = 1
read(12, " ", 1)                        = 1
read(12, "2", 1)                        = 1
read(12, ".", 1)                        = 1
read(12, "1", 1)                        = 1
read(12, "8", 1)                        = 1
read(12, ".", 1)                        = 1
read(12, "4", 1)                        = 1
read(12, "\n", 1)                       = 1
sendto(12, "AUTH_LOCAL 6767ae8a751f925ed3be6"..., 44, MSG_NOSIGNAL, NULL, 0) = 44
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=11, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=10,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN}], 10, 0) = 0
read(12, "O", 1)                        = 1
read(12, "K", 1)                        = 1
read(12, "\n", 1)                       = 1
sendto(12, "SET_VT -1\n", 10, MSG_NOSIGNAL, NULL, 0) = 10
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=11, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=10,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN}], 10, 0) = 0
read(12, "E", 1)                        = 1
read(12, "R", 1)                        = 1
read(12, "R", 1)                        = 1
read(12, "O", 1)                        = 1
read(12, "R", 1)                        = 1
read(12, " ", 1)                        = 1
read(12, "9", 1)                        = 1
read(12, " ", 1)                        = 1
read(12, "I", 1)                        = 1
read(12, "n", 1)                        = 1
read(12, "v", 1)                        = 1
read(12, "a", 1)                        = 1
read(12, "l", 1)                        = 1
read(12, "i", 1)                        = 1
read(12, "d", 1)                        = 1
read(12, " ", 1)                        = 1
read(12, "v", 1)                        = 1
read(12, "i", 1)                        = 1
read(12, "r", 1)                        = 1
read(12, "t", 1)                        = 1
read(12, "u", 1)                        = 1
read(12, "a", 1)                        = 1
read(12, "l", 1)                        = 1
read(12, " ", 1)                        = 1
read(12, "t", 1)                        = 1
read(12, "e", 1)                        = 1
read(12, "r", 1)                        = 1
read(12, "m", 1)                        = 1
read(12, "i", 1)                        = 1
read(12, "n", 1)                        = 1
read(12, "a", 1)                        = 1
read(12, "l", 1)                        = 1
read(12, " ", 1)                        = 1
read(12, "n", 1)                        = 1
read(12, "u", 1)                        = 1
read(12, "m", 1)                        = 1
read(12, "b", 1)                        = 1
read(12, "e", 1)                        = 1
read(12, "r", 1)                        = 1
read(12, "\n", 1)                       = 1
sendto(12, "CLOSE\n", 6, MSG_NOSIGNAL, NULL, 0) = 6
close(12)                               = 0
 
The lines where it tries to set the VT to -1 seems suspicious...  Any clues?

Version-Release number of selected component (if applicable):
fast-user-switch-applet-2.17.4-5.fc7
Comment 1 Bug Zapper 2008-05-14 10:38:25 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 David Juran 2008-05-17 03:55:58 EDT
Haven't seen this lately so let's say it's fixed in Fedora 8.

Note You need to log in before you can comment on or make changes to this bug.